precision mediump float;

uniform sampler2D Tex0;
uniform vec2 TextureSize;

#define NUM_SAMPLES 7
uniform float W[NUM_SAMPLES];

varying vec4 v_texcoord0;
varying vec4 v_texcoord1;

void main()
{
    vec4 sum   = vec4(0.0, 0.0, 0.0, 0.0);
    vec2 delta = vec2(1.0 / TextureSize.x, 0.0);

    vec2 texCoord = vec2(v_texcoord0.s, v_texcoord0.t);
    texCoord.x -= float(((NUM_SAMPLES -1)/2)) / float(TextureSize.x);
    texCoord.y += 0.0 / float(TextureSize.y);
   
    for(int i = 0; i < NUM_SAMPLES; ++i)
    {
        sum += texture2D(Tex0, texCoord) * W[i];
        texCoord += delta;
    }
    gl_FragColor = vec4(sum.x, sum.y, sum.z, sum.w);
}

