precision mediump float;

uniform sampler2D Tex0;
uniform vec2 TextureSize;

float weights[7];

varying vec4 v_texcoord0;
varying vec4 v_texcoord1;

void main()
{
    vec4 sum   = vec4(0.0, 0.0, 0.0, 0.0);
    vec2 delta = vec2(1.0 / TextureSize.x, 0.0);
    vec2 scale = vec2(3.0, 1.0);

    vec2 texCoord = vec2(v_texcoord0.s, v_texcoord0.t);
    texCoord += 0.5 / TextureSize;
    vec2 center = texCoord;
    texCoord -= 3.0 * delta;

    weights[0] = 0.006;
    weights[1] = 0.061;
    weights[2] = 0.242;
    weights[3] = 0.383;
    weights[4] = 0.242;
    weights[5] = 0.061;
    weights[6] = 0.006;

    for(int i = 0; i < 7; ++i)
    {
        sum += texture2D(Tex0, (texCoord - center) * scale + center) * weights[i];
        texCoord += delta;
    }
    gl_FragColor = vec4(sum.x, sum.y, sum.z, sum.w);
}
