precision mediump float;

uniform sampler2D Tex0;
uniform float hdelta;
uniform float vdelta;
uniform float factors[7];

varying vec4 v_texcoord0;
varying vec4 v_texcoord1;

void main()
{
    vec4 sum = vec4(0.0, 0.0, 0.0, 0.0);
    vec2 texCoord = vec2(v_texcoord0.s, v_texcoord0.t);

    texCoord.x -= hdelta * 3.0;
    texCoord.y -= vdelta * 3.0;

    for (int i=0; i<7; i++)
    {
        sum += texture2D(Tex0, texCoord) * factors[i];
        texCoord.x += hdelta * 1.0;
        texCoord.y += vdelta * 1.0;
    }

    gl_FragColor = vec4(sum.x, sum.y, sum.z, sum.w);
}

